<?php
require_once "BASEPATH.php";
class Comprobacion extends MY_Controller
{
    public function compruebaSesion()
    {
        $idioma = isset($_COOKIE["idioma"]) ? $_COOKIE["idioma"] : "es";
        switch ($idioma) {
            case "es":
                $this->lang->load('comprobacion', "spanish");
                break;
            case "en":
                $this->lang->load('comprobacion', "english");
                break;
            default:
                $this->lang->load('comprobacion', "spanish");
                break;
        }
        if (!empty($_SESSION["Usuario"])) {
            $sal = array("Estado" => "ok");
            $this->output->set_output(json_encode($sal));
        } else {
            $sal = array();
            $sal["Estado"] = "error";
            $sal["Descripcion"] = $this->lang->line("desc_permisosAccion");
            $this->output->set_output(json_encode($sal));
        }
    }
}
